AnyEvent::Strict(3)

NAME
AnyEvent::Strict - force strict mode on for the whole process

SYNOPSIS
   use AnyEvent::Strict;
   # strict mode now switched on

DESCRIPTION
This module implements AnyEvent's strict mode.

Loading it makes AnyEvent check all arguments to AnyEvent-methods, at the expense of being slower (often the argument checking takes longer than the actual function).

Normally, you don't load this module yourself but instead use it indirectly via the "PERL_ANYEVENT_STRICT" environment variable (see AnyEvent). However, this module can be loaded at any time.

AUTHOR
 Marc Lehmann <schmorp@schmorp.de>
 http://home.schmorp.de/